sensorfw: OrientationChain Class Reference

sensorfw

Public Slots | Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties | List of all members
OrientationChain Class Reference

Orientationchain providies device orientation information using the accelerometer information. More...

`#include <orientationchain.h>`

Inheritance diagram for OrientationChain:

## Public Slots
bool | start ()
bool | stop ()

## Public Member Functions
TimedUnsigned | orientation () const
| Property method returning current orientation.

## Static Public Member Functions
static AbstractChain * | factoryMethod (const QString &id)
| Factory method for OrientationChain.

## Protected Member Functions
| OrientationChain (const QString &id)
| ~OrientationChain ()

## Properties
TimedUnsigned | orientation

## Detailed Description

Orientationchain providies device orientation information using the accelerometer information.

Output buffers:

- device orientation

Definition at line 51 of file orientationchain.h.

## Constructor & Destructor Documentation

## ◆ OrientationChain()

OrientationChain::OrientationChain | ( | const QString & | id | ) |
| protected

## ◆ ~OrientationChain()

OrientationChain::~OrientationChain | ( |  | ) |
| protected

## Member Function Documentation

## ◆ factoryMethod()

static AbstractChain * OrientationChain::factoryMethod | ( | const QString & | id | ) |
| inlinestatic

Factory method for OrientationChain.

Returns
  Pointer to new OrientationChain instance as AbstractChain*

Definition at line 62 of file orientationchain.h.

## ◆ orientation()

TimedUnsigned OrientationChain::orientation | ( |  | ) | const
| inline

Property method returning current orientation.

Returns
  Current orientation.

Definition at line 72 of file orientationchain.h.

## ◆ start

bool OrientationChain::start | ( |  | ) |
| slot

## ◆ stop

bool OrientationChain::stop | ( |  | ) |
| slot

## Property Documentation

## ◆ orientation

TimedUnsigned OrientationChain::orientation
| read

Definition at line 55 of file orientationchain.h.

The documentation for this class was generated from the following file:

- chains/orientationchain/orientationchain.h